/**
*Programme cree par The Clusters
*Classe ThreadActu du jeu "Chkoba"
* Classe qui actualise le IHMPlateau a cahque fois qu'un joueur joue
* Ce qui donne une impression de fluidite
*@author The Clusters
*@version 1.0
**/
package chkoba;
import chkoba.*;

/**
*	Classe Thread a 2 joueurs
*/

public class ThreadActu extends Thread 
{

	IHMPlateau ihmPlateau;
	
	public ThreadActu (IHMPlateau p)
	{
		ihmPlateau = p;
	}

	
	/**
	* Methode appele a l'instruction start()
	*/
	public void run()
	{
		try
		{
			// On recupere le joueur courant au moment ou le thread est lance
			IJoueur jCourantDuMoment =ihmPlateau.getPlateau().getJoueurCourant(); 
			//Ici ce sera le même mais cette variable va nous permettre de savoir quand le joueur changera car elle sera actualise toute les 0.1 secondes
			IJoueur jCourant = ihmPlateau.getPlateau().getJoueurCourant(); 
			while(true)
			{
				//Si la condition est vrai alors cela signifit fin de la partie donc le thread doit s'arreter
				if(ihmPlateau.getPlateau().resteCartes() ==false)
					break;
				//Si la condition est vrai alors le joueur courant a change donc on actualise
				if(jCourantDuMoment.compareTo(jCourant)==1)
				{
					ihmPlateau.actualiser();
					System.out.println("Actu");
					jCourantDuMoment = jCourant;
				}
				//on recupere le joueur courant pour savoir si on actualise
				jCourant = ihmPlateau.getPlateau().getJoueurCourant(); 
				sleep(100);
			}
			//on actuelise un fois a la fin de la partie
			ihmPlateau.actualiser();
		}
		catch (Exception e)
		{
			System.out.println("ouch!\n");
			return;
		}
	}

}
